Package org.lwjgl.opengl

# Class EXTFramebufferMultisample

java.lang.Object
org.lwjgl.opengl.EXTFramebufferMultisample

public final class EXTFramebufferMultisample extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT`
Returned by CheckFramebufferStatusEXT.
`static final int`
`GL_MAX_SAMPLES_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_RENDERBUFFER_SAMPLES_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT.

## Method Summary

Modifier and Type
Method
Description
`static void`
`glRenderbufferStorageMultisampleEXT(int target, int samples, int internalformat, int width, int height)`
Establishes the data storage, format, dimensions, and number of samples of a renderbuffer object's image.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_RENDERBUFFER_SAMPLES_EXT

public static final int GL_RENDERBUFFER_SAMPLES_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT

public static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT
Returned by CheckFramebufferStatusEXT.

See Also:
  - Constant Field Values

### GL_MAX_SAMPLES_EXT

public static final int GL_MAX_SAMPLES_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

## Method Details

### glRenderbufferStorageMultisampleEXT

public static void glRenderbufferStorageMultisampleEXT(int target, int samples, int internalformat, int width, int height)
Establishes the data storage, format, dimensions, and number of samples of a renderbuffer object's image.